> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Custom Emoji

> Update a custom emoji. Permission required: `manage-emoji`

### Changelog
| Version      | Description | 
| ---------------- | ------------|
|0.74.0            | Added       |

## OpenAPI

````json POST /api/v1/emoji-custom.update
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Content Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Assets"
    },
    {
      "name": "Custom Emoji"
    },
    {
      "name": "Custom Sounds"
    },
    {
      "name": "Custom User Status"
    }
  ],
  "paths": {
    "/api/v1/emoji-custom.update": {
      "post": {
        "tags": [
          "Custom Emoji"
        ],
        "summary": "Update a Custom Emoji",
        "description": "Update a custom emoji. Permission required: `manage-emoji`\n\n### Changelog\n| Version      | Description | \n| ---------------- | ------------|\n|0.74.0            | Added       |",
        "operationId": "post-api-v1-emoji-custom.update",
        "parameters": [
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "$ref": "#/components/parameters/Auth-Token"
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "multipart/form-data": {
              "schema": {
                "type": "object",
                "required": [
                  "name",
                  "_id"
                ],
                "properties": {
                  "emoji": {
                    "type": "string",
                    "description": "Upload the emoji file that you want to update as form-data."
                  },
                  "name": {
                    "type": "string",
                    "description": "Enter the name of the emoji that you want to update.",
                    "example": "my-custom-emoji"
                  },
                  "_id": {
                    "type": "string",
                    "description": "Enter the emoji ID to be updated.",
                    "example": "AG7DSB2H32YHS"
                  },
                  "aliases": {
                    "type": "string",
                    "description": "The alias of the custom emoji. You can enter more than one alias as comma-separated values.",
                    "example": "emoji-alias"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "[The required \"_id\" query param is missing.]",
                      "errorType": "The required \"_id\" query param is missing."
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "[Emoji not found.]",
                      "errorType": "Emoji not found."
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      }
    },
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      },
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

